<?
include '../../config.php';
include '../../func.php';
head();


if ( isset($_POST['submit']) ) {
    
    $name = html($_POST['room']);
    
    
    $sys = num($_POST['sys']);
    $um = num($_POST['um']);
    $bar = num($_POST['bar']);
    $shut = num($_POST['shut']);
    $horo = num($_POST['horo']);
    $anek = num($_POST['anek']);
    $ct = num($_POST['ct']);
    $sortir = num($_POST['sortir']);
    $intim = num($_POST['intim']);
    $inkognito = num($_POST['inkognito']);
    
    $b = num($_POST['b']);
    
    if ( empty($name) ) {
        echo link1 . 'Вы не ввели название комнаты' . div;
    } else {
    $result = mysql_query("INSERT INTO `room` SET `room` = '".$name."', `sys` = '".$sys."', `um` = '".$um."', `bar` = '".$bar."', `shut` = '".$shut."', `horo` = '".$horo."', `anek` = '".$anek."', `ct` = '".$ct."', `sortir` = '".$sortir."', `intim` = '".$intim."', `inkognito` = '".$inkognito."', `bb_b` = '".$b."'");
    
    if ( $result != NULL ) {
        echo link1 . 'Комната успешно создана' . div;
    } else {
        echo link1 . 'Возникла ошибка' . div;
    }
    
    }
    
    
    
}



echo link2 . '<form action="room_add.php" method="post" name="form">
<b>Название комнаты:</b><br/>
<input name="room" type="text" maxlength="25"/><br/>';

echo '
Система: <input type="checkbox" name="sys" value="1" /><br />
Умник: <input type="checkbox" name="um" value="1" /><br />
Бармен: <input type="checkbox" name="bar" value="1" /><br />
Шутник: <input type="checkbox" name="shut" value="1" /><br />
Гороскоп: <input type="checkbox" name="horo" value="1" /><br />
Анекдот: <input type="checkbox" name="anek" value="1" /><br />
Цитатник: <input type="checkbox" name="ct" value="1" /><br />
Интим: <input type="checkbox" name="intim" value="1" /><br />
Сортир: <input type="checkbox" name="sortir" value="1" /><br />
Инкогнито: <input type="checkbox" name="inkognito" value="1" /><br /><br/ >

Жирный цвет: <input type="checkbox" name="b" value="1" /><br />
';
echo '<input name="submit" class="submit" type="submit" value="Создать" /></form>' . div;